getmetatable('').__index = function(str,i) return string.sub(str,i,i) end
function love.load()
  love.window.setMode(528,528)
  love.window.setTitle("Bad Apple!!")
  frame = {}
  index = 1
  
  for p=1,129 do
    frame[p] = {}
    for q=1,129 do
      frame[p][q] = 0
    end
  end
  
  compressed, size = love.filesystem.read("badapple.dat")
  framedata = love.math.decompress(compressed, "zlib")
  
  bgm = love.audio.newSource("badapplec4.mp3")
  bgm:play()
end

function love.update(dt)
  value = string.byte(framedata, index)
  if value == 32 then
    index = index + 1  
  end
  
    while value ~= 32 do
      local i = string.byte(framedata, index) - 62
      index = index + 1
      local j = string.byte(framedata, index) - 62
      index = index + 1
      if frame[i][j] == 1 then frame[i][j] = 0 else frame[i][j] = 1 end
      value = string.byte(framedata, index)
    end
end

function love.draw()  
  for x=1,129 do
    for y=1,129 do
      if frame[x][y] == 1 then
        love.graphics.setColor(255, 255, 255)
        love.graphics.rectangle("fill", x*8, y*8, 8, 8)
        end
    end
  end
end